Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network225.232.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
225.232.64.0
Broadcast address
225.232.127.255
First usable
225.232.64.1
Last usable
225.232.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E1E84000 · Integer 3790094336 to 3790110719
Reverse DNS zones
64.232.225.in-addr.arpa
65.232.225.in-addr.arpa
66.232.225.in-addr.arpa
67.232.225.in-addr.arpa
68.232.225.in-addr.arpa
69.232.225.in-addr.arpa
70.232.225.in-addr.arpa
71.232.225.in-addr.arpa
72.232.225.in-addr.arpa
73.232.225.in-addr.arpa
74.232.225.in-addr.arpa
75.232.225.in-addr.arpa
76.232.225.in-addr.arpa
77.232.225.in-addr.arpa
78.232.225.in-addr.arpa
79.232.225.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100001.11101000.01000000.00000000225.232.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11100001.11101000.01000000.00000000225.232.64.0
Broadcast11100001.11101000.01111111.11111111225.232.127.255
Split into smaller subnets/25

225.232.64.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1225.232.64.0/25225.232.64.1 to 225.232.64.126225.232.64.127126
2225.232.64.128/25225.232.64.129 to 225.232.64.254225.232.64.255126
3225.232.65.0/25225.232.65.1 to 225.232.65.126225.232.65.127126
4225.232.65.128/25225.232.65.129 to 225.232.65.254225.232.65.255126
5225.232.66.0/25225.232.66.1 to 225.232.66.126225.232.66.127126
6225.232.66.128/25225.232.66.129 to 225.232.66.254225.232.66.255126
7225.232.67.0/25225.232.67.1 to 225.232.67.126225.232.67.127126
8225.232.67.128/25225.232.67.129 to 225.232.67.254225.232.67.255126
9225.232.68.0/25225.232.68.1 to 225.232.68.126225.232.68.127126
10225.232.68.128/25225.232.68.129 to 225.232.68.254225.232.68.255126
11225.232.69.0/25225.232.69.1 to 225.232.69.126225.232.69.127126
12225.232.69.128/25225.232.69.129 to 225.232.69.254225.232.69.255126
13225.232.70.0/25225.232.70.1 to 225.232.70.126225.232.70.127126
14225.232.70.128/25225.232.70.129 to 225.232.70.254225.232.70.255126
15225.232.71.0/25225.232.71.1 to 225.232.71.126225.232.71.127126
16225.232.71.128/25225.232.71.129 to 225.232.71.254225.232.71.255126
17225.232.72.0/25225.232.72.1 to 225.232.72.126225.232.72.127126
18225.232.72.128/25225.232.72.129 to 225.232.72.254225.232.72.255126
19225.232.73.0/25225.232.73.1 to 225.232.73.126225.232.73.127126
20225.232.73.128/25225.232.73.129 to 225.232.73.254225.232.73.255126
21225.232.74.0/25225.232.74.1 to 225.232.74.126225.232.74.127126
22225.232.74.128/25225.232.74.129 to 225.232.74.254225.232.74.255126
23225.232.75.0/25225.232.75.1 to 225.232.75.126225.232.75.127126
24225.232.75.128/25225.232.75.129 to 225.232.75.254225.232.75.255126
25225.232.76.0/25225.232.76.1 to 225.232.76.126225.232.76.127126
26225.232.76.128/25225.232.76.129 to 225.232.76.254225.232.76.255126
27225.232.77.0/25225.232.77.1 to 225.232.77.126225.232.77.127126
28225.232.77.128/25225.232.77.129 to 225.232.77.254225.232.77.255126
29225.232.78.0/25225.232.78.1 to 225.232.78.126225.232.78.127126
30225.232.78.128/25225.232.78.129 to 225.232.78.254225.232.78.255126
31225.232.79.0/25225.232.79.1 to 225.232.79.126225.232.79.127126
32225.232.79.128/25225.232.79.129 to 225.232.79.254225.232.79.255126
33225.232.80.0/25225.232.80.1 to 225.232.80.126225.232.80.127126
34225.232.80.128/25225.232.80.129 to 225.232.80.254225.232.80.255126
35225.232.81.0/25225.232.81.1 to 225.232.81.126225.232.81.127126
36225.232.81.128/25225.232.81.129 to 225.232.81.254225.232.81.255126
37225.232.82.0/25225.232.82.1 to 225.232.82.126225.232.82.127126
38225.232.82.128/25225.232.82.129 to 225.232.82.254225.232.82.255126
39225.232.83.0/25225.232.83.1 to 225.232.83.126225.232.83.127126
40225.232.83.128/25225.232.83.129 to 225.232.83.254225.232.83.255126
41225.232.84.0/25225.232.84.1 to 225.232.84.126225.232.84.127126
42225.232.84.128/25225.232.84.129 to 225.232.84.254225.232.84.255126
43225.232.85.0/25225.232.85.1 to 225.232.85.126225.232.85.127126
44225.232.85.128/25225.232.85.129 to 225.232.85.254225.232.85.255126
45225.232.86.0/25225.232.86.1 to 225.232.86.126225.232.86.127126
46225.232.86.128/25225.232.86.129 to 225.232.86.254225.232.86.255126
47225.232.87.0/25225.232.87.1 to 225.232.87.126225.232.87.127126
48225.232.87.128/25225.232.87.129 to 225.232.87.254225.232.87.255126
49225.232.88.0/25225.232.88.1 to 225.232.88.126225.232.88.127126
50225.232.88.128/25225.232.88.129 to 225.232.88.254225.232.88.255126
51225.232.89.0/25225.232.89.1 to 225.232.89.126225.232.89.127126
52225.232.89.128/25225.232.89.129 to 225.232.89.254225.232.89.255126
53225.232.90.0/25225.232.90.1 to 225.232.90.126225.232.90.127126
54225.232.90.128/25225.232.90.129 to 225.232.90.254225.232.90.255126
55225.232.91.0/25225.232.91.1 to 225.232.91.126225.232.91.127126
56225.232.91.128/25225.232.91.129 to 225.232.91.254225.232.91.255126
57225.232.92.0/25225.232.92.1 to 225.232.92.126225.232.92.127126
58225.232.92.128/25225.232.92.129 to 225.232.92.254225.232.92.255126
59225.232.93.0/25225.232.93.1 to 225.232.93.126225.232.93.127126
60225.232.93.128/25225.232.93.129 to 225.232.93.254225.232.93.255126
61225.232.94.0/25225.232.94.1 to 225.232.94.126225.232.94.127126
62225.232.94.128/25225.232.94.129 to 225.232.94.254225.232.94.255126
63225.232.95.0/25225.232.95.1 to 225.232.95.126225.232.95.127126
64225.232.95.128/25225.232.95.129 to 225.232.95.254225.232.95.255126
65225.232.96.0/25225.232.96.1 to 225.232.96.126225.232.96.127126
66225.232.96.128/25225.232.96.129 to 225.232.96.254225.232.96.255126
67225.232.97.0/25225.232.97.1 to 225.232.97.126225.232.97.127126
68225.232.97.128/25225.232.97.129 to 225.232.97.254225.232.97.255126
69225.232.98.0/25225.232.98.1 to 225.232.98.126225.232.98.127126
70225.232.98.128/25225.232.98.129 to 225.232.98.254225.232.98.255126
71225.232.99.0/25225.232.99.1 to 225.232.99.126225.232.99.127126
72225.232.99.128/25225.232.99.129 to 225.232.99.254225.232.99.255126
73225.232.100.0/25225.232.100.1 to 225.232.100.126225.232.100.127126
74225.232.100.128/25225.232.100.129 to 225.232.100.254225.232.100.255126
75225.232.101.0/25225.232.101.1 to 225.232.101.126225.232.101.127126
76225.232.101.128/25225.232.101.129 to 225.232.101.254225.232.101.255126
77225.232.102.0/25225.232.102.1 to 225.232.102.126225.232.102.127126
78225.232.102.128/25225.232.102.129 to 225.232.102.254225.232.102.255126
79225.232.103.0/25225.232.103.1 to 225.232.103.126225.232.103.127126
80225.232.103.128/25225.232.103.129 to 225.232.103.254225.232.103.255126
81225.232.104.0/25225.232.104.1 to 225.232.104.126225.232.104.127126
82225.232.104.128/25225.232.104.129 to 225.232.104.254225.232.104.255126
83225.232.105.0/25225.232.105.1 to 225.232.105.126225.232.105.127126
84225.232.105.128/25225.232.105.129 to 225.232.105.254225.232.105.255126
85225.232.106.0/25225.232.106.1 to 225.232.106.126225.232.106.127126
86225.232.106.128/25225.232.106.129 to 225.232.106.254225.232.106.255126
87225.232.107.0/25225.232.107.1 to 225.232.107.126225.232.107.127126
88225.232.107.128/25225.232.107.129 to 225.232.107.254225.232.107.255126
89225.232.108.0/25225.232.108.1 to 225.232.108.126225.232.108.127126
90225.232.108.128/25225.232.108.129 to 225.232.108.254225.232.108.255126
91225.232.109.0/25225.232.109.1 to 225.232.109.126225.232.109.127126
92225.232.109.128/25225.232.109.129 to 225.232.109.254225.232.109.255126
93225.232.110.0/25225.232.110.1 to 225.232.110.126225.232.110.127126
94225.232.110.128/25225.232.110.129 to 225.232.110.254225.232.110.255126
95225.232.111.0/25225.232.111.1 to 225.232.111.126225.232.111.127126
96225.232.111.128/25225.232.111.129 to 225.232.111.254225.232.111.255126
97225.232.112.0/25225.232.112.1 to 225.232.112.126225.232.112.127126
98225.232.112.128/25225.232.112.129 to 225.232.112.254225.232.112.255126
99225.232.113.0/25225.232.113.1 to 225.232.113.126225.232.113.127126
100225.232.113.128/25225.232.113.129 to 225.232.113.254225.232.113.255126
101225.232.114.0/25225.232.114.1 to 225.232.114.126225.232.114.127126
102225.232.114.128/25225.232.114.129 to 225.232.114.254225.232.114.255126
103225.232.115.0/25225.232.115.1 to 225.232.115.126225.232.115.127126
104225.232.115.128/25225.232.115.129 to 225.232.115.254225.232.115.255126
105225.232.116.0/25225.232.116.1 to 225.232.116.126225.232.116.127126
106225.232.116.128/25225.232.116.129 to 225.232.116.254225.232.116.255126
107225.232.117.0/25225.232.117.1 to 225.232.117.126225.232.117.127126
108225.232.117.128/25225.232.117.129 to 225.232.117.254225.232.117.255126
109225.232.118.0/25225.232.118.1 to 225.232.118.126225.232.118.127126
110225.232.118.128/25225.232.118.129 to 225.232.118.254225.232.118.255126
111225.232.119.0/25225.232.119.1 to 225.232.119.126225.232.119.127126
112225.232.119.128/25225.232.119.129 to 225.232.119.254225.232.119.255126
113225.232.120.0/25225.232.120.1 to 225.232.120.126225.232.120.127126
114225.232.120.128/25225.232.120.129 to 225.232.120.254225.232.120.255126
115225.232.121.0/25225.232.121.1 to 225.232.121.126225.232.121.127126
116225.232.121.128/25225.232.121.129 to 225.232.121.254225.232.121.255126
117225.232.122.0/25225.232.122.1 to 225.232.122.126225.232.122.127126
118225.232.122.128/25225.232.122.129 to 225.232.122.254225.232.122.255126
119225.232.123.0/25225.232.123.1 to 225.232.123.126225.232.123.127126
120225.232.123.128/25225.232.123.129 to 225.232.123.254225.232.123.255126
121225.232.124.0/25225.232.124.1 to 225.232.124.126225.232.124.127126
122225.232.124.128/25225.232.124.129 to 225.232.124.254225.232.124.255126
123225.232.125.0/25225.232.125.1 to 225.232.125.126225.232.125.127126
124225.232.125.128/25225.232.125.129 to 225.232.125.254225.232.125.255126
125225.232.126.0/25225.232.126.1 to 225.232.126.126225.232.126.127126
126225.232.126.128/25225.232.126.129 to 225.232.126.254225.232.126.255126
127225.232.127.0/25225.232.127.1 to 225.232.127.126225.232.127.127126
128225.232.127.128/25225.232.127.129 to 225.232.127.254225.232.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses